package com.zjrs.ggfw.shbzk.dto;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;

public class ShbzkQueryDTO implements java.io.Serializable {
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "国籍")
	private String gj;
	
	@ApiModelProperty(value = "所属城市")
	private String sscs = "440800";
	
	@ApiModelProperty(value = "社会保障号")
	@NotBlank(message = "社会保障号不能为空")
	private String shbzh;
	
	@ApiModelProperty(value = "社保卡号")
	private String sbkh;
	
	@ApiModelProperty(value = "姓名")
	private String xm;
	
	@ApiModelProperty(value = "银行卡号")
	private String yhkh;
	
	@ApiModelProperty(value = "证件类型")
	private String zjlx;
	
	@ApiModelProperty(value = "卡识别码")
	private String ksbm;
	
	@ApiModelProperty(value = "申办业务（1为新申请；2为补换卡申请）")
	private String sbyw;
	
	@ApiModelProperty(value = "是否需要照片，默认否")
	private String isNeedPhoto = "0";

	public String getGj() {
		return gj;
	}

	public void setGj(String gj) {
		this.gj = gj;
	}

	public String getSscs() {
		return sscs;
	}

	public void setSscs(String sscs) {
		this.sscs = sscs;
	}

	public String getShbzh() {
		return shbzh;
	}

	public void setShbzh(String shbzh) {
		this.shbzh = shbzh;
	}

	public String getSbkh() {
		return sbkh;
	}

	public void setSbkh(String sbkh) {
		this.sbkh = sbkh;
	}

	public String getXm() {
		return xm;
	}

	public void setXm(String xm) {
		this.xm = xm;
	}

	public String getYhkh() {
		return yhkh;
	}

	public void setYhkh(String yhkh) {
		this.yhkh = yhkh;
	}

	public String getZjlx() {
		return zjlx;
	}

	public void setZjlx(String zjlx) {
		this.zjlx = zjlx;
	}

	public String getKsbm() {
		return ksbm;
	}

	public void setKsbm(String ksbm) {
		this.ksbm = ksbm;
	}

	public String getSbyw() {
		return sbyw;
	}

	public void setSbyw(String sbyw) {
		this.sbyw = sbyw;
	}

	public String getIsNeedPhoto() {
		return isNeedPhoto;
	}

	public void setIsNeedPhoto(String isNeedPhoto) {
		this.isNeedPhoto = isNeedPhoto;
	}
}	